diff .chezmoiscripts/run_onchange_after_14-install-ubuntu-packages.sh.tmpl @ 1077:04ad0b576298

fix: make sure mise is installed before mercurial
author Zeger Van de Vannet <zeger@vandevan.net>
date Sat, 22 Feb 2025 10:13:14 +0100
parents .chezmoiscripts/run_onchange_after_15-install-ubuntu-packages.sh.tmpl@6ab26ddbf78d
children 6a132d60cb29
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/.chezmoiscripts/run_onchange_after_14-install-ubuntu-packages.sh.tmpl	Sat Feb 22 10:13:14 2025 +0100
@@ -0,0 +1,58 @@
+{{ if eq .chezmoi.os "linux" -}}
+{{ if eq .chezmoi.osRelease.name "Ubuntu" -}}
+
+{{ $packages := list
+  "build-essential"
+  "libsqlite3-dev"
+  "libreadline-dev"
+  "libbz2-dev"
+  "libncurses-dev"
+  "zlib1g-dev"
+  "libffi-dev"
+  "libssl-dev"
+  "software-properties-common"
+  "fd-find"
+  "ripgrep"
+ 	"jq"
+ 	"pass"
+ 	"apt-file"
+ 	"fonts-firacode"
+ 	"kitty"
+ 	"yodl"
+ 	"libevent-core-2.1-7"
+ 	"libevent-dev"
+ 	"pipx"
+  "bison"
+  "flex"
+  "libnotify4"
+  "autoconf" -}}
+
+{{ $ppa := list
+	"ppa:maveonair/helix-editor"
+	"ppa:mozillateam/ppa" 
+	"ppa:fish-shell/release-3" -}}
+
+{{ $extra_packages := list
+	"helix"
+	"firefox" 
+	"fish" -}}
+#!/usr/bin/env bash
+
+set -xe
+
+sudo apt install -y  {{ $packages | join " "}}
+
+{{ range $ppa }}
+sudo add-apt-repository -y --no-update --ppa {{ . }}
+{{ end }}
+
+sudo mkdir -p /etc/apt/preferences.d/
+sudo cp -v {{ .chezmoi.sourceDir }}/system/ubuntu/mozilla-firefox /etc/apt/preferences.d/mozilla-firefox
+
+sudo apt update
+sudo apt install -y  {{ $extra_packages | join " " }}
+
+sudo update-alternatives --set x-terminal-emulator /usr/bin/kitty
+
+{{- end }}
+{{- end }}